For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
          • Invoice Management
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
            • POSTCreate Super Admin
            • POSTCreate Super Admins (batch)
            • GETList Companies with Assigned Super Admins
            • PUTUpdate Super Admin Company Assignments
            • GETGet Super Admin's Assigned Companies
            • GETGet Super Admin Details
            • PUTUpdate Super Admin Details
            • GETList Super Admins with Assigned Companies
            • GETList Super Admins Assigned to Company
            • PUTUpdate Company Super Admins Assignments
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementSuper Admin

Create Super Admin

POST
https://api-b2b.bigcommerce.com/api/v3/io/super-admins
POST
/api/v3/io/super-admins
$curl -X POST https://api-b2b.bigcommerce.com/api/v3/io/super-admins \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "code": 200,
3 "data": {
4 "userId": 123456,
5 "customerId": 100
6 },
7 "meta": {
8 "message": "Success"
9 }
10}
Creates a new Super Admin user and assigns the new account to BigCommerce channels as provided in the request body. An existing BigCommerce customer account will be converted to a B2B Edition Super Admin account. > **NOTE** > If there is already a B2B Edition Company user account associated with the email address provided, this endpoint will return a 400 error, regardless of the role assigned to the B2B Edition Company user account. Existing BigCommerce customer accounts will not throw the error as long as they are not also B2B Edition Company user accounts. If a user account for the provided `email` doesn't currently exist within BigCommerce, it will be created when the request is called.
Was this page helpful?
Previous

Super Admin

Next

Create Super Admins (batch)

Built with

Creates a new Super Admin user and assigns the new account to BigCommerce channels as provided in the request body. An existing BigCommerce customer account will be converted to a B2B Edition Super Admin account.

NOTE
If there is already a B2B Edition Company user account associated with the email address provided, this endpoint will return a 400 error, regardless of the role assigned to the B2B Edition Company user account. Existing BigCommerce customer accounts will not throw the error as long as they are not also B2B Edition Company user accounts.

If a user account for the provided email doesn’t currently exist within BigCommerce, it will be created when the request is called.

Authentication

X-Auth-Tokenstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
X-Store-Hashstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Request

This endpoint expects an object.
channelIdslist of integersOptional
An array of unique channel IDs associated with BigCommerce sales channels. The account will only be able to login on channels in this list.
emailstringOptionalformat: "email"
The email address associated with the Super Admin's BigCommerce customer account.
extraFieldslist of objectsOptional
firstNamestringOptional
The first name listed on the Super Admin's BigCommerce customer account.
lastNamestringOptional
The last name listed on the Super Admin's BigCommerce customer account.
originChannelIdintegerOptional
The unique BigCommerce channel ID, used for the BigCommerce customer account's origin channel. This field is inactive if the store has a default B2B Edition channel set.
phonestringOptional
The phone number listed on the Super Admin's BigCommerce customer account.
uuidstringOptionalformat: "uuid"
An external ID associated with the Super Admin account. B2B Edition does not require UUID to be unique, despite the field's label. B2B Edition will not assign a UUID by default. > NOTE > Some endpoints will only return this field if it has a non-empty value. If your code relies on the presence of a UUID in responses, ensure it is defined for each user, and prefer endpoints that provide more details. > > Regardless of individual user status, make sure to check for existence before attempting to use the value of the `uuid` field.

Response

SUCCESS
codeintegerDefaults to 200
dataobject
metaobject

Errors

400
Bad Request Error
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

An external ID associated with the Super Admin account. B2B Edition does not require UUID to be unique, despite the field’s label. B2B Edition will not assign a UUID by default.

NOTE
Some endpoints will only return this field if it has a non-empty value. If your code relies on the presence of a UUID in responses, ensure it is defined for each user, and prefer endpoints that provide more details.

Regardless of individual user status, make sure to check for existence before attempting to use the value of the uuid field.